package node

// 切精灵返回false，重写change方法来实现切换效果
// 精灵切换相关触发
func (this *EffectNode) OnSwitchIn() bool {
	panic("not implemented") // TODO: Implement
}

func (this *EffectNode) OnSwitchOut() bool {
	//下场默认清除effect
	panic("not implemented") // TODO: Implement
}

func (this *EffectNode) OnOwnerSwitchIn() bool {
	//自身下场清除掉自身的回合效果
	//this.GetBattle().Effects[this.GetInput().UserID].RemoveEffect(this)
	return true
}

func (this *EffectNode) OnOwnerSwitchOut() bool {
	panic("not implemented") // TODO: Implement
}
